#ifndef __M_MISC_H__
#define __M_MISC_H__
//****************************************************************************
//**
//**    M_MISC.H
//**    Header - Miscellaneous Utility Functions
//**
//****************************************************************************
//============================================================================
//    INTERFACE REQUIRED HEADERS
//============================================================================
#include "sys_defs.h"

//============================================================================
//    INTERFACE DEFINITIONS / ENUMERATIONS / SIMPLE TYPEDEFS
//============================================================================
//============================================================================
//    INTERFACE CLASS PROTOTYPES / EXTERNAL CLASS REFERENCES
//============================================================================
//============================================================================
//    INTERFACE STRUCTURES / UTILITY CLASSES
//============================================================================
//============================================================================
//    INTERFACE DATA DECLARATIONS
//============================================================================
//============================================================================
//    INTERFACE FUNCTION PROTOTYPES
//============================================================================
// timing functions
float M_TimeFloat(); // get time passed in program in seconds

// command line utility functions
byte M_CmdLineOption(char* str, byte reqParms);

// filename utility functions
char* M_GetFilePath(char* filename);
char* M_GetFileRoot(char* filename);
char* M_GetFileExtension(char* filename);
void M_SuggestFileExtension(char* filename, char* extension);
void M_ForceFileExtension(char* filename, char* extension);

//============================================================================
//    INTERFACE OBJECT CLASS DEFINITIONS
//============================================================================
//============================================================================
//    INTERFACE TRAILING HEADERS
//============================================================================

//****************************************************************************
//**
//**    END HEADER M_MISC.H
//**
//****************************************************************************
#endif // __M_MISC_H__
