#ifndef __SYS_DEFS_H__
#define __SYS_DEFS_H__
//****************************************************************************
//**
//**    SYS_DEFS.H
//**    Header - System Common Definitions
//**
//****************************************************************************
//============================================================================
//    INTERFACE REQUIRED HEADERS
//============================================================================
// common library headers
extern "C"
{
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <stddef.h>
#include <string.h>
#include <direct.h>
}
#include <math.h>
#include <float.h>

// windows-specific common library headers
#ifdef SYS_DEFS_INCLUDE_WIN32
#include <windows.h>
#include <windowsx.h>
#endif // SYS_DEFS_INCLUDE_WIN32

//============================================================================
//    INTERFACE DEFINITIONS / ENUMERATIONS / SIMPLE TYPEDEFS
//============================================================================
#define APPTITLE "Madness"

#pragma warning(disable:4244 4305) // double/float warnings

// NOTE: some of these defines might need to be undef'ed in a few cases where
//       a platform header makes them redundant
// Use these when size and/or sign matters on the data
#define byte unsigned char
#define sbyte char
#define word unsigned short
#define sword short
#define dword unsigned long
#define sdword long
#define qword unsigned _int64
#define sqword _int64
#define dwbool unsigned long
#define bbool unsigned char
// NOTE: floats are doubles are assumed to be IEEE 32 and 64 bit, respectively

#define BITF(x) (1<<x)
#define MEMCAST(type,val) (*((type *)&(val)))

#define SYS_MAX_PATH 128
//============================================================================
//    INTERFACE CLASS PROTOTYPES / EXTERNAL CLASS REFERENCES
//============================================================================
//============================================================================
//    INTERFACE STRUCTURES / UTILITY CLASSES
//============================================================================
//============================================================================
//    INTERFACE DATA DECLARATIONS
//============================================================================
//============================================================================
//    INTERFACE FUNCTION PROTOTYPES
//============================================================================
//============================================================================
//    INTERFACE OBJECT CLASS DEFINITIONS
//============================================================================
//============================================================================
//    INTERFACE TRAILING HEADERS
//============================================================================
// common project headers
#include "sys_main.h"
#include "m_misc.h"

// windows-specific common project headers
#ifdef SYS_DEFS_INCLUDE_WIN32
#include "sys_win.h"
#endif // SYS_DEFS_INCLUDE_WIN32

//****************************************************************************
//**
//**    END HEADER SYS_DEFS.H
//**
//****************************************************************************
#endif // __SYS_DEFS_H__
