#ifndef __SYS_WIN_H__
#define __SYS_WIN_H__
//****************************************************************************
//**
//**    SYS_WIN.H
//**    Header - Windows System
//**
//****************************************************************************
//============================================================================
//    INTERFACE REQUIRED HEADERS
//============================================================================
#define SYS_DEFS_INCLUDE_WIN32
#include "sys_defs.h"

//============================================================================
//    INTERFACE DEFINITIONS / ENUMERATIONS / SIMPLE TYPEDEFS
//============================================================================
#define SYSW_WINDOWFUNC(name) \
	LRESULT CALLBACK name(HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam)
#define SYSW_DIALOGBOXFUNC(name) \
	BOOL CALLBACK name(HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam)

//============================================================================
//    INTERFACE CLASS PROTOTYPES / EXTERNAL CLASS REFERENCES
//============================================================================
//============================================================================
//    INTERFACE STRUCTURES / UTILITY CLASSES
//============================================================================
//============================================================================
//    INTERFACE DATA DECLARATIONS
//============================================================================
extern HINSTANCE sysw_hInst;
extern HWND sysw_hwnd;

//============================================================================
//    INTERFACE FUNCTION PROTOTYPES
//============================================================================
// command line arguments
byte SYSW_Argc(); // argument count
char* SYSW_Argv(byte index); // argument strings

// time retrieval
float SYSW_TimeFloat(); // get time passed in program in seconds

// utility dialogs
int SYSW_MessageBox(char* caption, unsigned long boxType, char* text, ... );

//============================================================================
//    INTERFACE OBJECT CLASS DEFINITIONS
//============================================================================
//============================================================================
//    INTERFACE TRAILING HEADERS
//============================================================================

//****************************************************************************
//**
//**    END HEADER SYS_WIN.H
//**
//****************************************************************************
#endif // __SYS_WIN_H__
